Subject: Re: AGENCY.COM Presentation at BEA Users Conference
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 24 Feb 2000 06:13:00 -0800 (PST)

It is obviously a very high priority to ensure that BEA do not make the 
Agency presentation covering EnronOnline available on their website.

Kevin/Jay: Can you please try to identify the appropriate BEA contact as a 
matter of priority this morning?

Richard/Mark: Please advise as to how strong we can be in warning BEA not to 
publish the information on their website.

Thanks,

Dave

   

	From:  Kevin Montagne                           02/24/2000 04:13 AM

To: Richard B Sanders/HOU/ECT@ECT, David Forster/LON/ECT@ECT, Jay 
Webb/HOU/ECT@ECT, Philippe A Bibi/HOU/ECT@ECT, Mark Taylor/HOU/ECT@ECT, 
Louise Kitchen/LON/ECT@ECT
cc:  

Subject: AGENCY.COM Presentation at BEA Users Conference

Here is the information regarding the presentation done by AGENCY.COM.

The BEA Users Conference is being held in San Francisco, CA 2/21-2/24.
The conference has over 2,000 registered users representing many types of 
companies.
About the Session and Presentation
On Wednesday, February 23 at 11:00 an hour long session was to open to any 
registered conference attendee.
Around 200 (very rough guess) people attended the session.
The session was moderated by Scott Dietzen, CTO BEA Server Division and was 
described as 
'Web E-Commerce Solutions: Using Best of Breed Technologies'.
The session included 4 panel members from Calico Commerce (an ISV), Idea 
Integration 
(an integrator), Cygent (an ISV) and AGENCY.COM.
Each of the 4 panel members gave a 12 minute presentation then the session 
was turned over
for general questions and answers.
Joe Tatem of AGENCY.COM went last and spoke about the web development 
marketplace: where 
it was and where it needed to head.
Like the other panel members he described his company and gave a little sales 
pitch for 
BEA Weblogic.
Tatem then presented a case study as an example of some of their work.
This example was of AGENCY.COM's work for Enron on EnronOnline.
His case study consisted of 2 slides.
The first slide had screen images of EnronOnline: one was the EnronOnline 
home page and the 
second was the quotes page populated with some products.
The quotes page was 'overlayed' on the home page and obscured the EnronOnline 
banner on the 
bottom so that only the 'ne' at the end showed.
The Enron logo (the counter-clockwise 45-degree logo was clearly visible. 
He talked about it being a Trading Extranet site but said he could not name 
the customer.
He described that real time prices for products were being displayed to 
customers.
He then showed the next slide which gave a high level overview of the 
application 
architecture for EnronOnline.
This slide contains details about real time server (RTServer) and its 
associated 
application server (including the RMI communication mechanism).
He made a comment about how they were particularly proud of the real time 
piece and how it 
was designed and how it worked.
This slide also contained a reference to the fact EnronOnline uses Oracle 8i.
He also mentioned Jesica as the content management piece and indicated that 
they were 
looking at other 3rd party products to replace that in their future projects.
This slide also contains a reference to StackManager and he indicated that it 
was developed 
by the unamed client and not by AGENCY.COM.
He also talked about ShockWave plugin being used in the browser to receive 
the 
real time quotes.
Only one question was asked from the audience during his showing of the 
technical 
architecture slide.
This question (paraphrased) was: When you use RMI between the web server and 
the 
app server how many connections do you use.
He replied (paraphrased): one per thread.
The questioner then asked something else that I assumed was a technical 
detail about how 
WebLogic RMI worked.
Tatem replied incorrectly and a BEA employee responded with the right answer.
About the Handouts of the Presentation
BEA tried to make available hard copies of all presentation slides in each 
session.
They setup a series of shelves that were numbered for each session.
The documents were available starting Monday during the registration process 
and 
throughout the conference.
On Monday evening I went to pick up hard copies of the sessions for which I 
was interested.
About a third of the handouts for the sessions were not available.
I did not notice whether the one for above mentioned presentation was 
available. (I did 
not expect it to one of the more interested ones.)
During some of the sessions BEA handed out copies to those present.
I did not see any handed out during the above mentioned session.
After the session was over I called Jay Webb and told him of the above 
details.
After telling Jay I saw Scott Dietzen from BEA in the hallway. (I had met him 
twice before.)
I told Dietzen that the presentation that AGENCY.COM did in his panel was 
about Enron. 
(We had already discussed the project with Dietzen when he visited our 
Houston office.)
I told him that AGENCY.COM was not supposed to reveal any information 
concerning the 
project.
At this time I did not know that hard copies of the presentation were 
available. I told 
Dietzen that if they did become available that the portion about EnronOnline 
should not 
be distributed.
Dietzen said he was not aware of the problem with discussing the project. He 
apologized 
and said he would not distribute any handouts if he received them.
Sometime later on Wednesday I went to the rack of presentation handouts and 
there was 
one available for the above mentioned session.
I do not know how long they were available (and I don't think Dietzen did 
either).
There were only 2 or 3 copies left and I took all of them. (BEA usually put 
out many 
copies in the rack so I don't know how many were actually picked up.)
The hard copies are PowerPoint printouts that include room for notes so the 
slides are 
very small making it difficult to read.
When the slides were shown on the screen during the session they were very 
clear.

Also, during some of the sessions (not the one where AGENCY.COM presented) I 
attended 
there was some question about the availability of the handouts and someone 
from BEA would 
answer something about the web.
I assumed that at some point in the near future they might be making copies 
of the 
presentations available on the BEA web site.
I will try to confirm this tomorrow (Thursday).
I checked the web site a few minutes ago and the presentations are not there. 

I will followup with any more details if I remember something else or if 
there are any 
further developments.

Thanks,
Kevin Montagne
Voice: 713-853-1903
Cell:  281-703-5779
Pager: 800-893-4390